# Class ClassLoader

java.lang.Object
java.lang.ClassLoader

public abstract class ClassLoader extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ClassLoader()`
  `protected`
  `ClassLoader(ClassLoader parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassLoader`
  `getParent()`
  `InputStream`
  `getResourceAsStream(String name)`
  `static ClassLoader`
  `getSystemClassLoader()`
  `static InputStream`
  `getSystemResourceAsStream(String name)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ClassLoader

    protected ClassLoader()

  - ### ClassLoader

    protected ClassLoader(ClassLoader parent)

- ## Method Details

  - ### getParent

    public ClassLoader getParent()

  - ### getSystemClassLoader

    public static ClassLoader getSystemClassLoader()

  - ### getResourceAsStream

    public InputStream getResourceAsStream(String name)

  - ### getSystemResourceAsStream

    public static InputStream getSystemResourceAsStream(String name)